org.bdgenomics.adam.instrumentation

# Timers

###
Related Doc: package instrumentation

#### object Timers extends Metrics

Contains Timers that are used to instrument ADAM.

Linear Supertypes
Metrics, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Timers
2. Metrics
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val BQSRInDriver: Timer

5. #### val BroadcastJoinAndGroupByRight: Timer

6. #### val BroadcastingKnownSnps: Timer

7. #### val BuildingTrees: Timer

8. #### val CheckingForMask: Timer

9. #### val CollectingSnps: Timer

10. #### val ComputeCovariates: Timer

11. #### val ComputeQualityScore: Timer

12. #### val ComputingCycleCovariate: Timer

13. #### val ComputingDinucCovariate: Timer

14. #### val ComputingOriginalScores: Timer

15. #### val ConvertToSAM: Timer

16. #### val ConvertToSAMRecord: Timer

17. #### val CreateIndelRealignmentTargets: Timer

18. #### val CreateReferencePositionPair: Timer

19. #### val CreatingKnownSnpsTable: Timer

20. #### val CreatingRecalibrationTable: Timer

21. #### val FinalizingRealignments: Timer

22. #### val FindTargets: Timer

23. #### val FullOuterShuffleJoin: Timer

24. #### val GetExtraValues: Timer

25. #### val GetReferenceFromFile: Timer

26. #### val GetReferenceFromReads: Timer

27. #### val GrowingTrees: Timer

28. #### val InnerBroadcastJoin: Timer

29. #### val InnerShuffleJoin: Timer

30. #### val InvertingRecalibrationTable: Timer

31. #### val JoinTargets: Timer

32. #### val LeftOuterShuffleJoin: Timer

33. #### val LoadAlignments: Timer

34. #### val LoadBam: Timer

35. #### val LoadBed: Timer

36. #### val LoadContigFragments: Timer

37. #### val LoadCoverage: Timer

38. #### val LoadFasta: Timer

39. #### val LoadFastq: Timer

40. #### val LoadFeatures: Timer

41. #### val LoadFragments: Timer

42. #### val LoadGenotypes: Timer

43. #### val LoadGff3: Timer

44. #### val LoadGtf: Timer

45. #### val LoadIndexedBam: Timer

46. #### val LoadIndexedVcf: Timer

47. #### val LoadInterleavedFastq: Timer

48. #### val LoadInterleavedFastqFragments: Timer

49. #### val LoadIntervalList: Timer

50. #### val LoadNarrowPeak: Timer

51. #### val LoadPairedFastq: Timer

52. #### val LoadPairedFastqFragments: Timer

53. #### val LoadParquet: Timer

54. #### val LoadReferenceFile: Timer

55. #### val LoadSequenceDictionary: Timer

56. #### val LoadUnpairedFastq: Timer

57. #### val LoadVariants: Timer

58. #### val LoadVcf: Timer

59. #### val MapTargets: Timer

60. #### val MarkDuplicatesInDriver: Timer

61. #### val MarkReads: Timer

62. #### val ObservationAccumulatorComb: Timer

63. #### val ObservationAccumulatorSeq: Timer

64. #### val ObservingRead: Timer

65. #### val PerformDuplicateMarking: Timer

66. #### val QueryingRecalibrationTable: Timer

67. #### val ReadCovariates: Timer

68. #### val ReadResidues: Timer

69. #### val RealignIndelsInDriver: Timer

70. #### val RealignTargetGroup: Timer

71. #### val RecalibrateRead: Timer

72. #### val RightOuterBroadcastJoin: Timer

73. #### val RightOuterBroadcastJoinAndGroupByRight: Timer

74. #### val RightOuterShuffleJoin: Timer

75. #### val RightOuterShuffleJoinAndGroupByLeft: Timer

76. #### val RunningMapSideJoin: Timer

77. #### val SAMSave: Timer

78. #### val SaveAsADAM: Timer

79. #### val SaveAsVcf: Timer

80. #### val ScoreAndMarkReads: Timer

81. #### val ShuffleJoinAndGroupByLeft: Timer

82. #### val SortByIndex: Timer

83. #### val SortReads: Timer

84. #### val SortTargets: Timer

85. #### val SortingRightSide: Timer

86. #### val SweepReadOverReferenceForQuality: Timer

87. #### val SweepReadsOverConsensus: Timer

88. #### val TreeJoin: Timer

89. #### val TrimCigar: Timer

90. #### val TrimLowQualityInDriver: Timer

91. #### val TrimMDTag: Timer

92. #### val TrimRead: Timer

93. #### val TrimReadsInDriver: Timer

94. #### val WriteADAMRecord: Timer

95. #### val WriteBAMRecord: Timer

96. #### val WriteCRAMRecord: Timer

97. #### val WriteSAMRecord: Timer

98. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

99. #### val clock: Clock

    Definition Classes
      Metrics

100. #### def clone(): AnyRef

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

101. #### final def eq(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

102. #### def equals(arg0: Any): Boolean

     Definition Classes
       AnyRef → Any

103. #### def finalize(): Unit

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( classOf[java.lang.Throwable] )

104. #### final def getClass(): Class[_]

     Definition Classes
       AnyRef → Any

105. #### def hashCode(): Int

     Definition Classes
       AnyRef → Any

106. #### final def isInstanceOf[T0]: Boolean

     Definition Classes
       Any

107. #### final def ne(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

108. #### final def notify(): Unit

     Definition Classes
       AnyRef

109. #### final def notifyAll(): Unit

     Definition Classes
       AnyRef

110. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

111. #### def timer(name: String): Timer

     Definition Classes
       Metrics

112. #### def toString(): String

     Definition Classes
       AnyRef → Any

113. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

114. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

115. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Metrics

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped